### Method

# GExiv2 Metadata try_set_orientation

deprecated: 0.16.0 since: 0.14.0

#### Declaration [src]

    void
    gexiv2_metadata_try_set_orientation (
      GExiv2Metadata* self,
      GExiv2Orientation orientation,
      GError** error
    )

#### Description [src]

The orientation must be valid and cannot be [enum@GExiv2.Orientation.UNSPECIFIED.

Available since: 0.14.0

Deprecated since: 0.16.0

Use `gexiv2_metadata_set_orientation()` instead.

#### Parameters

`orientation`

  Type: `GExiv2Orientation`

  The new `GExiv2Orientation` for the image.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.